For the complete documentation index, see llms.txt. This page is also available as Markdown.

List internal purchase orders for an organization

List internal purchase orders for an organization

get
/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
organizationUidstringRequired

Reference to an organization.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
sendingStoreUidstringOptional

Reference to a store uid

Pattern: ^[A-Za-z0-9-_]+
receivingStoreUidstringOptional

Reference to a store uid

Pattern: ^[A-Za-z0-9-_]+
internalPurchaseOrderFromDatestring · date-timeOptional

Reference to a to-date-time

internalPurchaseOrderToDatestring · date-timeOptional

Reference to a from-date-time

pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders
GET /v2/tenants/{tenantUid}/organizations/{organizationUid}/internal-purchase-orders HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "shippedAt": "2026-01-01T00:00:00.000Z",
      "shippedBy": "text",
      "receivedAt": "2026-01-01T00:00:00.000Z",
      "receivedBy": "text",
      "sendingStoreUid": "text",
      "receivingStoreUid": "text",
      "note": "text",
      "status": "NEW",
      "trackingNumber": "text",
      "items": [
        {
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "product": {
            "productUid": "text",
            "productName": "text",
            "productSku": "text",
            "coverImage": {
              "productMediaUid": "text",
              "mainUrl": "text",
              "thumbnailUrl": "text"
            },
            "serialNoRequired": "NO"
          },
          "serialnumbers": [
            "text"
          ],
          "quantityOrdered": 1,
          "shipFromWarehouseUid": "text",
          "quantitySent": 1,
          "quantityReceived": 1,
          "receiveToWarehouseUid": "text",
          "costPrice": 1,
          "internalPurchaseOrderItemUid": "text"
        }
      ],
      "internalPurchaseOrderUid": "text",
      "allowedStatuses": [
        "NEW"
      ],
      "internalPurchaseOrderNumber": "text",
      "creatingStoreUid": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?